Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.capabilities
Class LayerBoundingBox

    java.lang.Object
      org.deegree.model.spatialschema.EnvelopeImpl
          org.deegree.ogcwebservices.wms.capabilities.LayerBoundingBox

All Implemented Interfaces:
  Serializable, Envelope

    public class LayerBoundingBox

extends EnvelopeImpl

Layers may have zero or more elements that are either stated explicitly or inherited from a parent Layer. Each BoundingBox states the bounding rectangle of the map data in a particular spatial reference system; the attribute SRS indicates which SRS applies. If the data area is shaped irregularly then the BoundingBox gives the minimum enclosing rectangle.The attributes minx, miny, maxx, maxy indicate the edges of the bounding box in units of the specified SRS. Optional resx and resy attributes indicate the spatial resolution of the data in those same units.

A Layer may have multiple BoundingBox element, but each one shall state a different SRS. A Layer inherits any BoundingBox values defined by its parents. A BoundingBox inherited from the parent Layer for a particular SRS is replaced by any declaration for the same SRS in the child Layer. A BoundingBox in the child for a new SRS not already declared by the parent is added to the list of bounding boxes for the child Layer. A single Layer element shall not contain more than one BoundingBox for the same SRS.

----------------------------------------------------------------------

Version:
  2002-03-01
Author:
  Andreas Poth
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.model.spatialschema.EnvelopeImpl
`crs, max, min`

Constructor Summary
`LayerBoundingBox(Position min, Position max, String srs, double resx, double resy)` constructor initializing the class with the

Method Summary
`double` | `getResx()`
`double` | `getResy()`
`String` | `getSRS()`
`void` | `setResx(double resx)` sets spatial resolution of the layers data in x-direction
`void` | `setResy(double resy)` sets spatial resolution of the layers data in x-direction
`void` | `setSRS(String srs)` sets the name of the spatial reference system of the bounding box
`String` | `toString()`

Methods inherited from class org.deegree.model.spatialschema.EnvelopeImpl
`clone, contains, contains, createIntersection, equals, expandToContain, getBuffer, getCentroid, getCoordinateSystem, getHeight, getMax, getMin, getWidth, intersects, merge, translate`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LayerBoundingBox

    public LayerBoundingBox(Position min,
                            Position max,
                            String srs,
                            double resx,
                            double resy)

  constructor initializing the class with the

  Parameters:
    `min` -
    `max` -
    `srs` -
    `resx` -
    `resy` -

Method Detail

### getResx

    public double getResx()

  Returns:
    spatial resolution of the layers data in x-direction. If the resolution isn't known `-1` will be returned.

### setResx

    public void setResx(double resx)

  sets spatial resolution of the layers data in x-direction

  Parameters:
    `resx` -

### getResy

    public double getResy()

  Returns:
    spatial resolution of the layers data in x-direction. If the resolution isn't known `-1` will be returned.

### setResy

    public void setResy(double resy)

  sets spatial resolution of the layers data in x-direction

  Parameters:
    `resy` -

### getSRS

    public String getSRS()

  Returns:
    the name the spatial reference system of the bounding box

### setSRS

    public void setSRS(String srs)

  sets the name of the spatial reference system of the bounding box

  Parameters:
    `srs` -

### toString

    public String toString()

  Overrides:
    `toString` in class `EnvelopeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org